osgViewer::GraphicsHandleWin32 Class Reference

`#include <GraphicsHandleWin32>`

Inheritance diagram for osgViewer::GraphicsHandleWin32:

## Public Member Functions

| GraphicsHandleWin32 ()
void | setHWND (HWND hwnd)
HWND | getHWND () const
void | setHDC (HDC hdc)
HDC | getHDC () const
void | setWGLContext (HGLRC hglrc)
HGLRC | getWGLContext () const

## Protected Attributes

HWND | _hwnd
HDC | _hdc
HGLRC | _hglrc

## Detailed Description

Class to encapsulate platform-specific OpenGL context handle variables. Derived osg::GraphicsContext classes can inherit from this class to share OpenGL resources.

## Constructor & Destructor Documentation

## GraphicsHandleWin32()

osgViewer::GraphicsHandleWin32::GraphicsHandleWin32 | ( |  | ) |

inline

References _hdc, _hglrc, and _hwnd.

## Member Function Documentation

## getHDC()

HDC osgViewer::GraphicsHandleWin32::getHDC | ( |  | ) | const

inline

Get device context.

References _hdc.

## getHWND()

HWND osgViewer::GraphicsHandleWin32::getHWND | ( |  | ) | const

inline

Get native window.

References _hwnd.

## getWGLContext()

HGLRC osgViewer::GraphicsHandleWin32::getWGLContext | ( |  | ) | const

inline

Get native OpenGL graphics context.

References _hglrc.

## setHDC()

void osgViewer::GraphicsHandleWin32::setHDC | ( | HDC | hdc | ) |

inline

Set device context.

References _hdc.

## setHWND()

void osgViewer::GraphicsHandleWin32::setHWND | ( | HWND | hwnd | ) |

inline

Set native window.

References _hwnd.

## setWGLContext()

void osgViewer::GraphicsHandleWin32::setWGLContext | ( | HGLRC | hglrc | ) |

inline

Set native OpenGL graphics context.

References _hglrc.

## Member Data Documentation

## _hdc

HDC osgViewer::GraphicsHandleWin32::_hdc

protected

Referenced by getHDC(), GraphicsHandleWin32(), and setHDC().

## _hglrc

HGLRC osgViewer::GraphicsHandleWin32::_hglrc

protected

Referenced by getWGLContext(), GraphicsHandleWin32(), and setWGLContext().

## _hwnd

HWND osgViewer::GraphicsHandleWin32::_hwnd

protected

Referenced by getHWND(), GraphicsHandleWin32(), and setHWND().

The documentation for this class was generated from the following file:

- GraphicsHandleWin32